.titleBar { margin-bottom: 5px!important; }

Kompilierungsfehler bristuff-0.2.0-RC5

Dieses Thema im Forum "Asterisk Allgemein" wurde erstellt von dagofan, 7 Feb. 2005.

  1. dagofan

    dagofan Neuer User

    Registriert seit:
    28 Jan. 2005
    Beiträge:
    15
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hallo zusammen,
    versuche mit mäßigen Erfolg den bristuff-0.2.0-RC5 unter debian sarge mit 2.6.8-1-386 Kernel zu installieren.
    Bin jetzt soweit das zumindest "ZAPTEL installed" erfolgreich durch gelaufen ist. Danach tritt nun dieser Fehler auf

    rm -f zaphfc.o *.ko *.mod.c *.mod.o .*o.cmd *~^M
    make -C /usr/src/linux-2.6 SUBDIRS=/tmp/bristuff-0.2.0-RC5/zaphfc modules^M
    make[1]: Entering directory `/usr/src/kernel-source-2.6.8'^M
    CC [M] /tmp/bristuff-0.2.0-RC5/zaphfc/zaphfc.o^M
    /tmp/bristuff-0.2.0-RC5/zaphfc/zaphfc.c: In function `hfc_dtrans':^M
    /tmp/bristuff-0.2.0-RC5/zaphfc/zaphfc.c:359: error: structure has no member named `bytes2transmit'^M
    /tmp/bristuff-0.2.0-RC5/zaphfc/zaphfc.c:382: error: structure has no member named `bytes2transmit'^M
    .
    .
    .
    make[1]: *** [_module_/tmp/bristuff-0.2.0-RC5/zaphfc] Error 2^M
    make[1]: Leaving directory `/usr/src/kernel-source-2.6.8'^M
    make: *** [linux26] Error 2^M
    ****************************************************^M
    hfc-pci driver installed.^M
    Press <Enter> to continue, or <CTRL> + <C> to abort.^M

    Wer hat eine Idee was hier getan werden muss, um Abhilfe zu schaffen?

    Übrigens, der Zaptel Kram funktionierte erst nach diesem Softlink
    /lib/modules/2.6.8-1-386/build -> /usr/src/kernel-source-2.6.8


    Vielen Dank

    Gruss

    Stefan
     
  2. psi123

    psi123 Neuer User

    Registriert seit:
    25 Okt. 2004
    Beiträge:
    28
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    hast du nen softlink /usr/src/linux => /usr/src/kernel-source-2.6.8
    und /usr/src/linux-2.6/ => /usr/src/kernel-source-2.6.8

    (2. steht auch in der INSTALL)

    Christian
     
  3. dagofan

    dagofan Neuer User

    Registriert seit:
    28 Jan. 2005
    Beiträge:
    15
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hi Christian,
    softlinks wie folgt:

    lrwxrwxrwx 1 root src 28 2005-02-07 09:21 linux -> /usr/src/kernel-source-2.6.8

    lrwxrwxrwx 1 root src 28 2005-02-07 08:45 linux-2.6 -> /usr/src/kernel-source-2.6.8

    asterisk:/usr/src# pwd
    /usr/src

    vielleicht habe ich ein Paket vergessen zu installieren?
    Bin dem ganzen schon mit strace auf den Leib gerückt.
    Aber habe keine Erklärung gefunden. Ich vermute, da Fehler schon bei der libpri Kompilierung aufgetreten sind, diese Fehler aufgrund letzterer auftreten. Hilft mir aber auch nicht weiter. Deswegen würde es mich motivieren weiter zu suchen, wenn jemand bereits unter dieser Konstellation die * am laufen hat.

    Werde jetzt mal den 2.4 Kernel einspielen


    Gruss
    Stefan

    Im Anhang die Ausgabe von install.sh
     
  4. dagofan

    dagofan Neuer User

    Registriert seit:
    28 Jan. 2005
    Beiträge:
    15
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    jetzt aber im Anhang die Ausgabe von install.sh
     

    Anhänge:

  5. rajo

    rajo Admin-Team

    Registriert seit:
    31 März 2004
    Beiträge:
    1,958
    Zustimmungen:
    0
    Punkte für Erfolge:
    36
    ganz am anfang kommt doch schon die erste fehlermeldung:

    also, da würd ich dann mal mit apt-get install patch anfangen ;)
     
  6. dagofan

    dagofan Neuer User

    Registriert seit:
    28 Jan. 2005
    Beiträge:
    15
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    1000 Dank, das war’s. Da suche ich mir in den Tiefen der Sourcen den Wolf und da steht der Fehler gleich am Anfang.

    Wenn ich mich recht entsinnen kann, steht aber in keiner der hier geposteten requirements (die ich gelesen habe) das auch das patch package benötigt wird.

    Also dann noch ein mal für alle:

    Debian 2.6 und bristuff-0.2.0-rcx mit x>=5 benötigt auch das Paket ""patch""

    Danke

    Gruss

    Stefan
     
  7. traxanos

    traxanos Mitglied

    Registriert seit:
    15 Juli 2004
    Beiträge:
    486
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    hatte gerade das gleiche problem.
    evtl kann man in den Titel noch unter bringen das es am patch lag so->
    [Solved] Kompilierungsfehler [Programm "patch" fehlte]

    das hilft nochmehr bei suchen